#!/bin/bash

FICHFUNCS="/usr/bin/vx-funcs-bash"
[ -f "${FICHFUNCS}" ] && . "${FICHFUNCS}" "null"

echo "=> Script de postrun de centro específico"

# Creamos y eliminamos una cuenta de usuario de Invitado:
# issue: https://soporte.vitalinux.educa.aragon.es/issues/4695
# Preparamos la auditoria:
LOG="vx-usuario-invitado.log"
vx-log_xsession -o "${LOG}"
getent passwd "Invitado" && userdel -fr "Invitado" || echo "No existe ninguna cuenta de Invitado que eliminar"
COM="Invitado · CPEPA Almonacid de la Sierra"
useradd -m -d "/home/Invitado" \
    -s "/bin/bash" \
    -g "alumno" -G "nopasswdlogin,cdrom,dip,plugdev,sambashare,dialout" \
    -p "$(echo -n "Invitado" | mkpasswd -s -m sha-512)" \
    -c "${COM}" "Invitado"
echo "$(date) - Se ha creado la cuenta de ${COM}"
